# getSignatureStatuses

Returns the statuses of a list of signatures. Unless the searchTransactionHistory configuration parameter is included, this method only searches the recent status cache of signatures, which retains statuses for all active slots plus MAX\_RECENT\_BLOCKHASHES rooted slots.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `tx signatures` string. An array of transaction signatures to confirm encoded as base-58 strings.
* `object` array. The configuration object with the following fields:
  * `searchTransactionHistory` boolean (default: false). If true, the search includes the entire transaction history. If false, the search only includes recent transactions in the latest confirmed block.

## Returns

`result` An object with the following fields:

* `context` The information about the current state of the program.
  * `apiVersion` The version of the Solana RPC API to use.
  * `slot` An integer representing the slot for which to retrieve the fee calculator.
* `value` A JSON object with the following fields:
  * `confirmationStatus` The transaction's cluster confirmation status. It can either be processed, confirmed, or finalized.
  * `confirmations` The number of confirmations a transaction has received. If the transaction is finalized (i.e., confirmed at the highest level of commitment), the value will be null.
  * `err` Error code if the transaction failed or null if the transaction succeeds.
  * `slot` The slot number in which the transaction was confirmed.
  * `status` The processing status of the transaction. It returns Ok if the transaction was successful and Err if the transaction failed with TransactionError.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"context": {
			"apiVersion": "2.1.11",
			"slot": 320160315
		},
		"value": [
			null,
			null
		]
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getSignatureStatuses","params": [["5tGfZLNDxtCtWsW1BJoeTyHvnfGqpADDfBkUgkKENQJ8iz5yTN3ae51j8m8GRFevJx82gyuKnEX7iexFsqf7X2vS","D13jTJYXoQBcRY9AfT5xRtsew7ENgCkNs6mwwwAcUCp4ZZCEM7YwZ7en4tVsoDa7Gu75Jjj2FgLXNUz8Zmgedff"],{"searchTransactionHistory": true}]}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getSignatureStatuses","params": [["5tGfZLNDxtCtWsW1BJoeTyHvnfGqpADDfBkUgkKENQJ8iz5yTN3ae51j8m8GRFevJx82gyuKnEX7iexFsqf7X2vS","D13jTJYXoQBcRY9AfT5xRtsew7ENgCkNs6mwwwAcUCp4ZZCEM7YwZ7en4tVsoDa7Gu75Jjj2FgLXNUz8Zmgedff"],{"searchTransactionHistory": true}]}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getsignaturestatuses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
